FailedConsole Output

+ LNT_FLAGS+=' -C config/tasks/cmake/caches/target-arm64-iphoneos.cmake'
+ LNT_FLAGS+=' -C config/tasks/cmake/caches/opt-O0-g.cmake'
+ config/tasks/task jenkinsrun config/tasks/lnt-ctmark.sh -a compiler=http://labmaster2.local/artifacts/clang-stage1-RA/clang-d355004-g13bf6039c9a-t10493-b10493.tar.gz -D 'LNT_FLAGS= -C config/tasks/cmake/caches/target-arm64-iphoneos.cmake -C config/tasks/cmake/caches/opt-O0-g.cmake'
+ export PATH=/Users/buildslave/jenkins/workspace/lnt-ctmark-aarch64-O0-g/config/tasks/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/bin:/usr/sbin:/sbin
+ PATH=/Users/buildslave/jenkins/workspace/lnt-ctmark-aarch64-O0-g/config/tasks/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/bin:/usr/sbin:/sbin
+ build clean
...removing 'log_summary.html'
...removing 'pseudo-checkout-llvm-project'
...removing 'compiler'
++ build arg --optional SUBMIT_URL
+ SUBMIT_URL=
++ build arg --optional SUBMIT_NAME
+ SUBMIT_NAME=
++ build arg --optional SUBMIT_ORDER
+ SUBMIT_ORDER=
++ build arg --optional LNT_FLAGS
+ LNT_FLAGS=' -C config/tasks/cmake/caches/target-arm64-iphoneos.cmake -C config/tasks/cmake/caches/opt-O0-g.cmake'
+ : http://104.154.54.203/db_default/v4/nts/submitRun
+ : lnt-ctmark-aarch64-O0-g
+ build get compiler
+ build get test-suite
+ build get lnt
+ DEPENDENCY_FILES=/Users/buildslave/jenkins/workspace/lnt-ctmark-aarch64-O0-g/config/tasks/lnt-testsuite.dep
+ . /Users/buildslave/jenkins/workspace/lnt-ctmark-aarch64-O0-g/config/tasks/utils/check_dependencies.sh
++ python /Users/buildslave/jenkins/workspace/lnt-ctmark-aarch64-O0-g/config/tasks/../dep/dep.py verify /Users/buildslave/jenkins/workspace/lnt-ctmark-aarch64-O0-g/config/tasks/lnt-testsuite.dep
You are using pip version 18.1, however version 20.2b1 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
Dependency met os_version v10.11.6
Dependency met brew cmake v3.6.0
Dependency met pip virtualenv v15.1.0
+ . /Users/buildslave/jenkins/workspace/lnt-ctmark-aarch64-O0-g/config/tasks/utils/normalize_compiler.sh
++ cd compiler
++ '[' -d Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr ']'
++ '[' -d '*/bin' ']'
++ cd /Users/buildslave/jenkins/workspace/lnt-ctmark-aarch64-O0-g
++ /Users/buildslave/jenkins/workspace/lnt-ctmark-aarch64-O0-g/compiler/bin/clang -v
clang version 11.0.0 (https://github.com/llvm/llvm-project.git 13bf6039c9ae959598e8c117c3d8c5a72303fd2b)
Target: x86_64-apple-darwin18.7.0
Thread model: posix
InstalledDir: /Users/buildslave/jenkins/workspace/lnt-ctmark-aarch64-O0-g/compiler/bin
+ . /Users/buildslave/jenkins/workspace/lnt-ctmark-aarch64-O0-g/config/tasks/utils/venv.sh
++ echo '@@@ LNT VirtualEnv @@@'
@@@ LNT VirtualEnv @@@
++ /usr/local/bin/virtualenv venv
New python executable in /Users/buildslave/jenkins/workspace/lnt-ctmark-aarch64-O0-g/venv/bin/python2.7
Also creating executable in /Users/buildslave/jenkins/workspace/lnt-ctmark-aarch64-O0-g/venv/bin/python
Installing setuptools, pip, wheel...
done.
++ set +u
++ . venv/bin/activate
+++ deactivate nondestructive
+++ unset -f pydoc
+++ '[' -z '' ']'
+++ '[' -z '' ']'
+++ '[' -n /bin/sh ']'
+++ hash -r
+++ '[' -z '' ']'
+++ unset VIRTUAL_ENV
+++ '[' '!' nondestructive = nondestructive ']'
+++ VIRTUAL_ENV=/Users/buildslave/jenkins/workspace/lnt-ctmark-aarch64-O0-g/venv
+++ export VIRTUAL_ENV
+++ _OLD_VIRTUAL_PATH=/Users/buildslave/jenkins/workspace/lnt-ctmark-aarch64-O0-g/config/tasks/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/bin:/usr/sbin:/sbin
+++ PATH=/Users/buildslave/jenkins/workspace/lnt-ctmark-aarch64-O0-g/venv/bin:/Users/buildslave/jenkins/workspace/lnt-ctmark-aarch64-O0-g/config/tasks/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/bin:/usr/sbin:/sbin
+++ export PATH
+++ '[' -z '' ']'
+++ '[' -z '' ']'
+++ _OLD_VIRTUAL_PS1=
+++ '[' x '!=' x ']'
++++ basename /Users/buildslave/jenkins/workspace/lnt-ctmark-aarch64-O0-g/venv
+++ PS1='(venv) '
+++ export PS1
+++ alias pydoc
+++ '[' -n /bin/sh ']'
+++ hash -r
++ set -u
++ echo @@@@@@@
@@@@@@@
+ . /Users/buildslave/jenkins/workspace/lnt-ctmark-aarch64-O0-g/config/tasks/utils/venv_lit.sh
++ echo '@@@ Install VirtualEnv Lit @@@'
@@@ Install VirtualEnv Lit @@@
++ . /Users/buildslave/jenkins/workspace/lnt-ctmark-aarch64-O0-g/config/tasks/utils/pip_install.sh svn+http://llvm.org/svn/llvm-project/llvm/trunk/utils/lit/
+++ pip install svn+http://llvm.org/svn/llvm-project/llvm/trunk/utils/lit/
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting svn+http://llvm.org/svn/llvm-project/llvm/trunk/utils/lit/
  Checking out http://llvm.org/svn/llvm-project/llvm/trunk/utils/lit/ to /private/var/folders/09/r4vw4v8n5kb67jl66zvlbljw0000gn/T/pip-req-build-dJfVET
  Running command svn checkout -q --non-interactive http://llvm.org/svn/llvm-project/llvm/trunk/utils/lit/ /private/var/folders/09/r4vw4v8n5kb67jl66zvlbljw0000gn/T/pip-req-build-dJfVET
Building wheels for collected packages: lit
  Building wheel for lit (setup.py): started
  Building wheel for lit (setup.py): finished with status 'done'
  Created wheel for lit: filename=lit-0.10.0.dev0-py2-none-any.whl size=71933 sha256=77f21cf29b33a5a55b404be919c548fc5b0780a772fbf55f91206fdd859553c0
  Stored in directory: /private/var/folders/09/r4vw4v8n5kb67jl66zvlbljw0000gn/T/pip-ephem-wheel-cache-j6jAit/wheels/89/4b/e6/b11505fee2b5b1419ceba0d553c50498e19eafbe100d5fc6c4
Successfully built lit
Installing collected packages: lit
Successfully installed lit-0.10.0.dev0
++ echo @@@@@@
@@@@@@
+ . /Users/buildslave/jenkins/workspace/lnt-ctmark-aarch64-O0-g/config/tasks/utils/venv_lnt.sh
++ echo '@@@ Install VirtualEnv LNT @@@'
@@@ Install VirtualEnv LNT @@@
++ . /Users/buildslave/jenkins/workspace/lnt-ctmark-aarch64-O0-g/config/tasks/utils/pip_install.sh lnt/
+++ pip install lnt/
DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Processing ./lnt
    ERROR: Command errored out with exit status 1:
     command: /Users/buildslave/jenkins/workspace/lnt-ctmark-aarch64-O0-g/venv/bin/python2.7 -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/private/var/folders/09/r4vw4v8n5kb67jl66zvlbljw0000gn/T/pip-req-build-53OKv4/setup.py'"'"'; __file__='"'"'/private/var/folders/09/r4vw4v8n5kb67jl66zvlbljw0000gn/T/pip-req-build-53OKv4/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base /private/var/folders/09/r4vw4v8n5kb67jl66zvlbljw0000gn/T/pip-pip-egg-info-g5g7jr
         cwd: /private/var/folders/09/r4vw4v8n5kb67jl66zvlbljw0000gn/T/pip-req-build-53OKv4/
    Complete output (5 lines):
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/private/var/folders/09/r4vw4v8n5kb67jl66zvlbljw0000gn/T/pip-req-build-53OKv4/setup.py", line 43, in <module>
        reqs = [str(ir.req) for ir in install_reqs]
    AttributeError: 'ParsedRequirement' object has no attribute 'req'
    ----------------------------------------
ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.
*Build failed!* (return code 1)